package com.sf._05_接口练习.demo2;

public class SmartTV extends Applicance implements RemoteControl,Timerable {
    public SmartTV(String brand, double price) {
        super(brand, price);
    }

    @Override
    public void start() {
        System.out.println("智能电视开机,显示画面");
    }

    @Override
    public void stop() {
        System.out.println("智能电视关机,节省电量");
    }

    @Override
    public void remoteStart() {
        System.out.println("远程控制电视开机");
    }

    @Override
    public void remoteStop() {
        System.out.println("远程控制电视关机");
    }

    @Override
    public void setTimer(int minutes) {
        System.out.println("电视在:"+ minutes +"分钟后关机");
    }
}
